OffsetSurface not working in RhinoPython script
@Tofuw wrote: Hello, I would like to select a surface, then to do an offset on it.I follow the example in here but it won't work. import rhinoscriptsyntax as rs surface = rs.GetObject("Select a...
View Article[solved] Controlling T-Splines control points
@Gabriele_Sorrento wrote: Hi Everybody, I am trying to control the control points of a T-Spline object via Python (T-Spline plugin installed). It seems to be impossible since...
View ArticleRhino Common and Python "Box.Z"
@asbeastos wrote: I'm trying to access the Rhino.Geometry.Box.Z method to give the Z height of a bounding box, but can't get a handle on the syntax for using Rhino Common functions with Python. Can...
View ArticleScript to rotate objects around one of his axis
@Tofuw wrote: I just started Rhinoscript development, and I'm still not used with the 3D management. So I would like some explaination for the RotateObject Rhino3D method. I have an object, and I...
View ArticleGetUserText
@asbeastos wrote: Having an issue with either GetUserText, or SetUserText, but not sure which. If i try to print the usertext by Key, i get nothing, but if leave the key out, my user-text prints just...
View Articlers.Command( _arc
@socken wrote: Hi,There is probably a very simple answer to this question:rs.Command("_Arc 0,0,0 0,10,0 10,0,0") dont return an arc. I have found out that the last instance (the end point) is for me...
View ArticleAdding To array?
@Cyver wrote: Hey all , If i duplicate an object X time in loop , how can i store all these new objects in an array ? I thought about Redim preserve , but i don't find right way to write this. In...
View ArticleRhino isn't closing with vbs script. open t-spline, smooth as step, close
@Alex1 wrote: opensmoothcloseexit.txt (2.8 KB) simplebox.3dm (23.0 KB) Do save as a vbs file before running from the command line withC:> CSCRIPT opensmoothcloseexit.vbs simplebox.tsm. Also make...
View ArticleExtract 4 edge corner from mesh file
@obakatsu wrote: Hi.I am trying to write script which extract 4 edge corner from mesh file as following.def topo(): obj=rs.AllObjects(select=True) line=rs.MeshOutline(obj,view="Top")...
View ArticleExport data to excel using RhinoPython / GHPython
@Dou wrote: Hi all, I am working on a quite straightforward python script which is supposed to create a .xls file and write something in it. I run this script in both RhinoPython and GHPython, but got...
View ArticlePoint closest to N infinite lines
@wes_mcgee_3d wrote: Seems a common question in linear algebra circles, but having trouble getting a working solution. Anyone have a rhinocommon approach to solving this? Most approaches are least...
View ArticleDetermining normal of textobject
@shanew06 wrote: A simple question I hope. I can't for the life of me see a function that returns the normal vector of a textobject. Can someone help me out here? VBScript.Rhino 4Thx. Posts: 6...
View ArticlePython - Mirror across X Axis
@Ncik wrote: G'day, I'm sure there is a simple solution to this problem. I'd like to mirror objects across a vessel centreline, coincident with X-Axis, ZX Plane. This script works in Top and...
View ArticleSending parameters to program via RunPythonScript
@owhite wrote: I'm all about creating calls to rhino.python and then calling that with a customized macro attached to an icon. Typically I use: !_-RunPythonScript ScriptName.py but in my latest...
View ArticleAbout the future of IronPython
@cadmaster wrote: Just found this discussion on Reddit:https://www.reddit.com/r/Python/comments/3orhzw/whats_happened_to_ironpython/ Posts: 2 Participants: 2 Read full topic
View ArticleHow to specify drape area by scripting for rs.Command("_Drape",0)
@obakatsu wrote: Hi.I am trying to write script which can drape automatically by specifying all required parameter such as x,y coordinate of drape area and spacing etc. Can anyone tell me how to write...
View ArticleScript to select all curve object
@obakatsu wrote: Hi All, Does anyone know how I can write script to select all curve object in rhinoscriptsyntax? Thank you. Posts: 2 Participants: 2 Read full topic
View ArticleHow to duplicate layer with all sublayers and all objects in them
@Katsu wrote: Hi there, I'd like to know how to duplicate layer with all sublayers and all objects in them. with Python script. I'm sure I only give one new layername. Posts: 2 Participants: 2 Read...
View ArticleChecking on variables when errors occur
@lawrenceyy wrote: I'm using ghpython and running into an error with my script where the index is out of range. In cases like these, I can usually print() number variables to see what is wrong. Is...
View ArticleAny way to tell if _FullScreen command has been activated?
@Jarek wrote: Hi - once entering the fullscreen mode via the command _Fullscreen, is there a way to tell we are in it or back to 'normal' mode? Any flag or variable to check? Thanks, Jarek Posts: 3...
View Article